[Startup]
AppName="Canon My Printer"
ProductName="BJMYPRT.EXE"
Version="1.6.0.0"
EULA=1
Update1=1
Update2=1
MinimumSize=10
MaxPathLen=220

[install folder]
FolderName="MyPrinter"

[desktop shortcut]
Shortcut=2
DSCInfo="My Printer" "$InsFolder$\BJMyPrt.exe" "$InsFolder$" "/dt" INST_NML

[group shortcut]
GroupShortcut=1
GSCFolderName="Canon Utilities\My Printer"
GSCInfo="My Printer" "$InsFolder$\BJMyPrt.exe" "$InsFolder$" "/mn" INST_NML
GSCInfo="File Leggimi di My Printer" "$InsFolder$\Readme.txt" "$InsFolder$" "" INST_NML
GSCInfo="File di disinstallazione di My Printer" "$InsFolder$\uninst.exe" "$SysFolder$" "$InsFolder$\uninst.ini" INST_NML

[uninstall info]
DisplayName="Canon Utilities My Printer"
UninstallName="CanonMyPrinter"
MakeISU=1

[app path info]
AppPathsName="BJMYPRT.EXE" "$InsFolder$\BJMyPrt.exe" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp=1
UNInfo="BJMYPRT.EXE" "CanonMyPrinter" "Canon My Printer" "1124" HCU "SOFTWARE\Canon\MyPrinter" "AppClass" "60" "NOMESSAGE" "NOMESSAGE" ""
UNInfo="LogInfo.EXE" "CanonMyPrinter" "My Printer Status Window" "16" "#32770" "60" "NOMESSAGE" "NOMESSAGE" ""
UNInfo="LogInfo2.EXE" "CanonMyPrinter" "My Printer Status Window " "16" "#32770" "60" "NOMESSAGE" "NOMESSAGE" ""
UpdateUninst=1
UninstVersion="2.0.0.0"

[Architecture]
IA32="1" "32" "32bit"
x64="1" "64" "64bit"

[OS]
WIN95=0
WIN98=0
WINME=0
WINNT=0
WIN2K=1
WINXP=1
WINVT=1
WINNW=1

[Files]
FILE="%ARCHI%\BJMyRes.dl_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="Log.dl_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="Readme.txt" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="myprinter-frame020.htm" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="myprinter-frame040.htm" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\%ARCHI%\BJMyPrt.ex_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LogInfo.ex_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\LogInfo2.ex_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\BJMyRst.ex_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE64="..\COMMON\%ARCHI%\CnmPU.dl_" INST_APO INST_NON INST_REQ INST_ERR INST_DEL
FILE="Html\*.*" INST_APO "Html" INST_REQ INST_SKP INST_DEL
FILE="Images\*.*" INST_APO "Images" INST_REQ INST_SKP INST_DEL
FILE="MY_PRT.in_" INST_PRG32 "Canon\Easy-PrintToolBox" INST_REQ INST_ERR INST_DEL
FILE="..\COMMON\MY_PRT.ic_" INST_PRG32 "Canon\Easy-PrintToolBox" INST_REQ INST_ERR INST_DEL
FILE="MY_PRT.bm_" INST_PRG32 "Canon\Easy-PrintToolBox" INST_REQ INST_ERR INST_DEL

REGI=HLMSFT32 "Canon\MyPrinter" "AppPath" REG_SZ "$InsFolder$\BJMyPrt.exe"
REGI=HLMSFT "Microsoft\Windows\CurrentVersion\Run" "CanonMyPrinter" REG_SZ "$InsFolder$\BJMyPrt.exe /logon"

UFLDER="<Common Programs>Canon Utilities" "FALSE"
UFLDER="<Common Programs>Canon Utilities\My Printer" "FALSE"
UFLDER="<Common AppData>CanonIJMyPrinter"

UREGIK=HCU "SOFTWARE\Canon\MyPrinter\Settings"
UREGIV=HCU "SOFTWARE\Canon\MyPrinter" "AppClass"
UREGIV=HCU "SOFTWARE\Canon\MyPrinter" "Placement1"
UREGIV=HCU "SOFTWARE\Canon\MyPrinter" "Placement2"
UREGIV=HCU "SOFTWARE\Canon\MyPrinter" "Placement3"
UREGIV=HCU "SOFTWARE\Canon\MyPrinter" "Placement4"
UREGIV=HCU "SOFTWARE\Canon\MyPrinter" "Printer"
UREGIV=HCU "SOFTWARE\Canon\MyPrinter" "Startup"
